Index: src/docs/userguide/javaPlugin.xml
===================================================================
--- src/docs/userguide/javaPlugin.xml	(revision 1716)
+++ src/docs/userguide/javaPlugin.xml	(working copy)
@@ -180,7 +180,9 @@
             <xref linkend="tab:configurations"/>. It assigns those configurations to tasks such as
             <literal>compile</literal> and <literal>test</literal>.
             To learn more about configurations see <xref linkend="sub:configurations"/> and
-            <xref linkend="artifacts_and_configurations"/>
+            <xref linkend="artifacts_and_configurations"/>. Note also that transitive dependencies
+            are disabled by default for the compile configuration. This can be overridden by setting
+            configurations.compile.transitive = true.
         </para>
         <table id='tab:configurations'>
             <title>Java plugin - dependency configurations</title>
Index: src/docs/userguide/depMngmt.xml
===================================================================
--- src/docs/userguide/depMngmt.xml	(revision 1716)
+++ src/docs/userguide/depMngmt.xml	(working copy)
@@ -236,6 +236,9 @@
             </para>
             <para>Multi-project builds are discussed in <xref linkend='multi_project_builds'/>.
             </para>
+            <para>Transitive compile dependencies are disabled by default. They can be enabled by setting 
+                configurations.compile.transitive = true.
+            </para>
         </section>
         <section>
             <title>File dependencies</title>
